Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jst.jsf.context.resolver.structureddocument.internal.provisional
Class StructuredDocumentContextResolverPlugin

    java.lang.Object
      org.eclipse.core.runtime.Plugin
          org.eclipse.ui.plugin.AbstractUIPlugin
              org.eclipse.jst.jsf.context.resolver.structureddocument.internal.provisional.StructuredDocumentContextResolverPlugin

All Implemented Interfaces:
  org.osgi.framework.BundleActivator

public class StructuredDocumentContextResolverPlugin
extends org.eclipse.ui.plugin.AbstractUIPlugin

The main plugin class to be used in the desktop.

Field Summary

Fields inherited from class org.eclipse.core.runtime.Plugin
`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

Constructor Summary
`StructuredDocumentContextResolverPlugin()` The constructor.

Method Summary
`static StructuredDocumentContextResolverPlugin` | `getDefault()` Returns the shared instance.
`static org.eclipse.jface.resource.ImageDescriptor` | `getImageDescriptor(java.lang.String path)` Returns an image descriptor for the image file at the given plug-in relative path.
`void` | `start(org.osgi.framework.BundleContext context)` This method is called upon plug-in activation
`void` | `stop(org.osgi.framework.BundleContext context)` This method is called when the plug-in is stopped

Methods inherited from class org.eclipse.ui.plugin.AbstractUIPlugin
`createImageRegistry, getDialogSettings, getImageRegistry, getPreferenceStore, getWorkbench, imageDescriptorFromPlugin, initializeDefaultPluginPreferences, initializeDefaultPreferences, initializeImageRegistry, loadDialogSettings, loadPreferenceStore, refreshPluginActions, saveDialogSettings, savePreferenceStore, shutdown, startup`

Methods inherited from class org.eclipse.core.runtime.Plugin
`find, find, getBundle, getDescriptor, getLog, getPluginPreferences, getStateLocation, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StructuredDocumentContextResolverPlugin

    public StructuredDocumentContextResolverPlugin()

  The constructor.

Method Detail

### start

    public void start(org.osgi.framework.BundleContext context)
               throws java.lang.Exception

  This method is called upon plug-in activation

  Parameters:
    `context` -
  Throws:
    `java.lang.Exception`

### stop

    public void stop(org.osgi.framework.BundleContext context)
              throws java.lang.Exception

  This method is called when the plug-in is stopped

  Parameters:
    `context` -
  Throws:
    `java.lang.Exception`

### getDefault

    public static StructuredDocumentContextResolverPlugin getDefault()

  Returns the shared instance.

  Returns:
    the shared instance.

### getImageDescriptor

    public static org.eclipse.jface.resource.ImageDescriptor getImageDescriptor(java.lang.String path)

  Returns an image descriptor for the image file at the given plug-in relative path.

  Parameters:
    `path` - the path
  Returns:
    the image descriptor

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD